org.apache.uima.resource.metadata.impl

## Class TypePriorities_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.metadata.impl.TypePriorities_impl

- All Implemented Interfaces:
    Serializable, Cloneable, MetaDataObject, TypePriorities, XMLizable

      public class TypePriorities_impl
      extends MetaDataObject_impl
      implements TypePriorities

  Reference implementation of `TypePriorities`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypePriorities_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypePriorityList` | `addPriorityList()` Creates a new, empty `TypePriorityList` and adds it to this object.
    `void` | `addPriorityList(TypePriorityList aPriorityList)` Adds a `TypePriorityList`.
    `Object` | `clone()` Creates a clone of this `MetaDataObject`.
    `String` | `getDescription()` Gets the description of this TypePriorities declaration.
    `Import[]` | `getImports()` Gets the imports declared by this TypePriorities declaration.
    `String` | `getName()` Gets the name of this TypePriorities declaration.
    `TypePriorityList[]` | `getPriorityLists()` Gets the `TypePriorityList`s that define the priorities.
    `String` | `getVendor()` Gets the vendor of this TypePriorities declaration.
    `String` | `getVersion()` Gets the version number of this TypePriorities declaration.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `removePriorityList(TypePriorityList aPriorityList)` Removes a `TypePriorityList`.
    `void` | `resolveImports()` Resolves any import declarations in this Type Priorities declaration, adding the imported `TypePriorityList` objects directly onto this TypePriorities object's `priorityLists`.
    `void` | `resolveImports(Collection<String> aAlreadyImportedTypePrioritiesURLs, ResourceManager aResourceManager)` Resolves any import declarations in this Type Priorities declaration, adding the imported `TypePriorityList` objects directly onto this TypePriorities object's `priorityLists`.
    `void` | `resolveImports(ResourceManager aResourceManager)` Resolves any import declarations in this Type Priorities declaration, adding the imported `TypePriorityList` objects directly onto this TypePriorities object's `priorityLists`.
    `void` | `setDescription(String aDescription)` Sets the description of this TypePriorities declaration.
    `void` | `setImports(Import[] aImports)` Sets the imports declared by this TypePriorities declaration.
    `void` | `setName(String aName)` Sets the name of this TypePriorities declaration.
    `void` | `setPriorityLists(TypePriorityList[] aPriorityLists)` Sets the `TypePriorityList`s that define the priorities.
    `void` | `setVendor(String aVendor)` Sets the vendor of this TypePriorities declaration.
    `void` | `setVersion(String aVersion)` Sets the version number of this TypePriorities declaration.
    `protected void` | `writePropertyAsElement(PropertyXmlInfo aPropInfo, String aNamespace)` Overridden to supress <priorityLists> tag for TAF compatibility

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### TypePriorities_impl

          public TypePriorities_impl()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `TypePriorities`
      Gets the name of this TypePriorities declaration.
      Specified by:
        `getName` in interface `TypePriorities`
      Returns:
        the name of this TypePriorities declaration, null if none has been specified.
      See Also:
        `ResourceMetaData.getName()`

    - #### setName

          public void setName(String aName)

      Description copied from interface: `TypePriorities`
      Sets the name of this TypePriorities declaration.
      Specified by:
        `setName` in interface `TypePriorities`
      Parameters:
        `aName` - the name of this TypePriorities declaration
      See Also:
        `ResourceMetaData.setName(String)`

    - #### getVersion

          public String getVersion()

      Description copied from interface: `TypePriorities`
      Gets the version number of this TypePriorities declaration.
      Specified by:
        `getVersion` in interface `TypePriorities`
      Returns:
        the version number of this TypePriorities declaration, as a String, null if none has been specified.
      See Also:
        `ResourceMetaData.getVersion()`

    - #### setVersion

          public void setVersion(String aVersion)

      Description copied from interface: `TypePriorities`
      Sets the version number of this TypePriorities declaration.
      Specified by:
        `setVersion` in interface `TypePriorities`
      Parameters:
        `aVersion` - the version number of this TypePriorities declaration, as a String
      See Also:
        `ResourceMetaData.setVersion(String)`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `TypePriorities`
      Gets the description of this TypePriorities declaration.
      Specified by:
        `getDescription` in interface `TypePriorities`
      Returns:
        the description of this TypePriorities declaration, null if none has been specified.
      See Also:
        `ResourceMetaData.getDescription()`

    - #### setDescription

          public void setDescription(String aDescription)

      Description copied from interface: `TypePriorities`
      Sets the description of this TypePriorities declaration.
      Specified by:
        `setDescription` in interface `TypePriorities`
      Parameters:
        `aDescription` - the description of this TypePriorities declaration
      See Also:
        `ResourceMetaData.setDescription(String)`

    - #### getVendor

          public String getVendor()

      Description copied from interface: `TypePriorities`
      Gets the vendor of this TypePriorities declaration.
      Specified by:
        `getVendor` in interface `TypePriorities`
      Returns:
        the vendor of this TypePriorities declaration, as a String
      See Also:
        `ResourceMetaData.getVendor()`

    - #### setVendor

          public void setVendor(String aVendor)

      Description copied from interface: `TypePriorities`
      Sets the vendor of this TypePriorities declaration.
      Specified by:
        `setVendor` in interface `TypePriorities`
      Parameters:
        `aVendor` - the vendor of this TypePriorities declaration, as a String, null if none has been specified.
      See Also:
        `ResourceMetaData.setVendor(String)`

    - #### getImports

          public Import[] getImports()

      Description copied from interface: `TypePriorities`
      Gets the imports declared by this TypePriorities declaration.
      Specified by:
        `getImports` in interface `TypePriorities`
      Returns:
        an array of imports declared by this TypePriorities declaration.
      See Also:
        `TypeSystemDescription.getImports()`

    - #### setImports

          public void setImports(Import[] aImports)

      Description copied from interface: `TypePriorities`
      Sets the imports declared by this TypePriorities declaration.
      Specified by:
        `setImports` in interface `TypePriorities`
      Parameters:
        `aImports` - an array of imports declared by this TypePriorities declaration.
      See Also:
        `TypeSystemDescription.setImports(Import[])`

    - #### getPriorityLists

          public TypePriorityList[] getPriorityLists()

      Description copied from interface: `TypePriorities`
      Gets the `TypePriorityList`s that define the priorities. Each `TypePriorityList` declares the relative priority of two or more types.
      Specified by:
        `getPriorityLists` in interface `TypePriorities`
      Returns:
        the `TypePriorityList`s that define the priorities
      See Also:
        `synchronized to prevent concurrent mod exceptions`

    - #### setPriorityLists

          public void setPriorityLists(TypePriorityList[] aPriorityLists)

      Description copied from interface: `TypePriorities`
      Sets the `TypePriorityList`s that define the priorities. Each `TypePriorityList` declares the relative priority of two or more types.
      Specified by:
        `setPriorityLists` in interface `TypePriorities`
      Parameters:
        `aPriorityLists` - the `TypePriorityList`s that define the priorities
      See Also:
        `could be called by thread doing resolve imports, while another thread was iterating over them`

    - #### addPriorityList

          public void addPriorityList(TypePriorityList aPriorityList)

      Description copied from interface: `TypePriorities`
      Adds a `TypePriorityList`.
      Specified by:
        `addPriorityList` in interface `TypePriorities`
      Parameters:
        `aPriorityList` - the `TypePriorityList` to add
      See Also:
        `TypePriorities.addPriorityList(TypePriorityList)`

    - #### addPriorityList

          public TypePriorityList addPriorityList()

      Description copied from interface: `TypePriorities`
      Creates a new, empty `TypePriorityList` and adds it to this object.
      Specified by:
        `addPriorityList` in interface `TypePriorities`
      Returns:
        the new `TypePriorityList`, which can be modified by the caller
      See Also:
        `TypePriorities.addPriorityList()`

    - #### removePriorityList

          public void removePriorityList(TypePriorityList aPriorityList)

      Description copied from interface: `TypePriorities`
      Removes a `TypePriorityList`.
      Specified by:
        `removePriorityList` in interface `TypePriorities`
      Parameters:
        `aPriorityList` - the `TypePriorityList` to remove
      See Also:
        `TypePriorities.removePriorityList(TypePriorityList)`

    - #### resolveImports

          public void resolveImports()
                              throws InvalidXMLException

      Description copied from interface: `TypePriorities`
      Resolves any import declarations in this Type Priorities declaration, adding the imported `TypePriorityList` objects directly onto this TypePriorities object's `priorityLists`. The import elements are then deleted, so this results in a structure that is equivalent to the imported elements having been defined locally.
      Specified by:
        `resolveImports` in interface `TypePriorities`
      Throws:
        `InvalidXMLException` - if either the import target does not exist or is invalid
      See Also:
        `TypeSystemDescription.resolveImports()`

    - #### resolveImports

          public void resolveImports(ResourceManager aResourceManager)
                              throws InvalidXMLException

      Description copied from interface: `TypePriorities`
      Resolves any import declarations in this Type Priorities declaration, adding the imported `TypePriorityList` objects directly onto this TypePriorities object's `priorityLists`. The import elements are then deleted, so this results in a structure that is equivalent to the imported elements having been defined locally.
      Specified by:
        `resolveImports` in interface `TypePriorities`
      Parameters:
        `aResourceManager` - the Resource Manager used to locate type priorities XML files imported by name. For example, the path in which to locate these type priorities XML files can be set via the `ResourceManager.setDataPath(String)` method.
      Throws:
        `InvalidXMLException` - if either the import target does not exist or is invalid

    - #### resolveImports

          public void resolveImports(Collection<String> aAlreadyImportedTypePrioritiesURLs,
                                     ResourceManager aResourceManager)
                              throws InvalidXMLException

      Description copied from interface: `TypePriorities`
      Resolves any import declarations in this Type Priorities declaration, adding the imported `TypePriorityList` objects directly onto this TypePriorities object's `priorityLists`. The import elements are then deleted, so this results in a structure that is equivalent to the imported elements having been defined locally.

      This version is used internally to resolve nested imports.

      Specified by:
        `resolveImports` in interface `TypePriorities`
      Parameters:
        `aAlreadyImportedTypePrioritiesURLs` - URLs of already imported type priorities, so we don't import them again.
        `aResourceManager` - the Resource Manager used to locate type priorities XML files imported by name. For example, the path in which to locate these type priorities XML files can be set via the `ResourceManager.setDataPath(String)` method.
      Throws:
        `InvalidXMLException` - if either the import target does not exist or is invalid

    - #### writePropertyAsElement

          protected void writePropertyAsElement(PropertyXmlInfo aPropInfo,
                                                String aNamespace)
                                         throws SAXException

      Overridden to supress <priorityLists> tag for TAF compatibility
      Overrides:
        `writePropertyAsElement` in class `MetaDataObject_impl`
      Parameters:
        `aPropInfo` - information on how to represent the property in XML
        `aNamespace` - XML namespace URI for this object representation
      Throws:
        `SAXException` - -
      See Also:
        `MetaDataObject_impl.writePropertyAsElement(org.apache.uima.resource.metadata.impl.PropertyXmlInfo, java.lang.String)`

    - #### clone

          public Object clone()

      Description copied from interface: `MetaDataObject`
      Creates a clone of this `MetaDataObject`. This performs a "deep" copy by cloning all attribute values that are also MetaDataObjects.
      Specified by:
        `clone` in interface `MetaDataObject`
      Overrides:
        `clone` in class `MetaDataObject_impl`
      Returns:
        a clone of this `MetaDataObject`
      See Also:
        `multi-core: could be cloning while another thread is modifying?`

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation
      See Also:
        `MetaDataObject_impl.getXmlizationInfo()`

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.